Ruby: debug_counter.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Enumerations | Functions
debug_counter.h File Reference
`#include "ruby/internal/config.h"`
`#include <stddef.h>`
`#include "ruby/ruby.h"`
`#include <__FILE__>`

Go to the source code of this file.

## Macros
#define | USE_DEBUG_COUNTER 0
#define | RUBY_DEBUG_COUNTER_H 1
#define | RB_DEBUG_COUNTER(name) RB_DEBUG_COUNTER_##name,
#define | RB_DEBUG_COUNTER_INC(type) ((void)0)
#define | RB_DEBUG_COUNTER_INC_UNLESS(type, cond) (!!(cond))
#define | RB_DEBUG_COUNTER_INC_IF(type, cond) (!!(cond))
#define | RB_DEBUG_COUNTER_ADD(type, num) ((void)0)
#define | RB_DEBUG_COUNTER_SETMAX(type, num) 0

## Enumerations
enum | rb_debug_counter_type { RB_DEBUG_COUNTER_MAX }

## Functions
void | rb_debug_counter_show_results (const char *msg)
size_t | ruby_debug_counter_get (const char **names_ptr, size_t *counters_ptr)
void | ruby_debug_counter_reset (void)
void | ruby_debug_counter_show_at_exit (int enable)

## Macro Definition Documentation

## ◆ RB_DEBUG_COUNTER

#define RB_DEBUG_COUNTER | ( |  | name | ) | RB_DEBUG_COUNTER_##name,

Definition at line 396 of file debug_counter.h.

## ◆ RB_DEBUG_COUNTER_ADD

#define RB_DEBUG_COUNTER_ADD | ( |  | type,
|  |  | num
| ) |  | ((void)0)

Definition at line 447 of file debug_counter.h.

## ◆ RB_DEBUG_COUNTER_INC

#define RB_DEBUG_COUNTER_INC | ( |  | type | ) | ((void)0)

Definition at line 444 of file debug_counter.h.

## ◆ RB_DEBUG_COUNTER_INC_IF

#define RB_DEBUG_COUNTER_INC_IF | ( |  | type,
|  |  | cond
| ) |  | (!!(cond))

Definition at line 446 of file debug_counter.h.

## ◆ RB_DEBUG_COUNTER_INC_UNLESS

#define RB_DEBUG_COUNTER_INC_UNLESS | ( |  | type,
|  |  | cond
| ) |  | (!!(cond))

Definition at line 445 of file debug_counter.h.

## ◆ RB_DEBUG_COUNTER_SETMAX

#define RB_DEBUG_COUNTER_SETMAX | ( |  | type,
|  |  | num
| ) |  | 0

Definition at line 448 of file debug_counter.h.

## ◆ RUBY_DEBUG_COUNTER_H

#define RUBY_DEBUG_COUNTER_H 1

Definition at line 385 of file debug_counter.h.

## ◆ USE_DEBUG_COUNTER

#define USE_DEBUG_COUNTER 0

Definition at line 12 of file debug_counter.h.

## Enumeration Type Documentation

## ◆ rb_debug_counter_type

enum rb_debug_counter_type

Enumerator
RB_DEBUG_COUNTER_MAX |

Definition at line 395 of file debug_counter.h.

## Function Documentation

## ◆ rb_debug_counter_show_results()

void rb_debug_counter_show_results | ( | const char * | msg | ) |

Definition at line 141 of file debug_counter.c.

Referenced by ruby_default_signal().

## ◆ ruby_debug_counter_get()

size_t ruby_debug_counter_get | ( | const char ** | names_ptr,
|  | size_t * | counters_ptr
| ) |  |

Definition at line 146 of file debug_counter.c.

## ◆ ruby_debug_counter_reset()

void ruby_debug_counter_reset | ( | void |  | ) |

Definition at line 151 of file debug_counter.c.

## ◆ ruby_debug_counter_show_at_exit()

void ruby_debug_counter_show_at_exit | ( | int | enable | ) |

Definition at line 156 of file debug_counter.c.